Bug 159868 - CAN-2005-1766 RealPlayer heap overflow
CAN-2005-1766 RealPlayer heap overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: realplayer (Show other bugs)
3.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: John (J5) Palmieri
public=20050623,impact=critical,sourc...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-08 14:28 EDT by Josh Bressers
Modified: 2013-03-13 00:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-523
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-23 15:21:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-06-08 14:28:22 EDT
+++ This bug was initially created as a clone of Bug #159864 +++

This vulnerability involved a complex interaction between a maliciously created
SMIL file and specifically crafted web server caused a heap overflow in the
error message processing for RealText which could have allowed an attacker to
execute arbitrary code on a customer's machine.
Comment 3 John (J5) Palmieri 2005-06-10 11:33:59 EDT
They won't.  The RH8 binaries do work however.  I sent an e-mail requesting the
RH8 binaries and asking if we can ship the Real guys a RHEL 3 install disk so
they can build directly against it in the future.
Comment 5 John (J5) Palmieri 2005-06-14 18:16:57 EDT
Built and symlinked as realplayer-10.0.5-0.rhel3.1
Comment 6 Josh Bressers 2005-06-23 15:00:32 EDT
Lifting embargo
Comment 7 Josh Bressers 2005-06-23 15:21:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-523.html

Note You need to log in before you can comment on or make changes to this bug.